# Refer to the comment for Source0 below on how to obtain the source tarball
# The saved file has format python-pillow-Sane-$version-$ahead-g$shortcommit.tar.gz
%define commit 91e336c280a9ff0dfec30d18d761c2f1064dfa79
%define shortcommit %(c=%{commit}; echo ${c:0:7})
%define ahead 0

Name:           python3-sane
Version:        2.8.2
Release:        1
Summary:        Python3 SANE interface
Group:          Development/Python
License:        MIT
URL:            https://github.com/python-pillow/Sane

# Obtain the tarball for a certain commit via:
#  wget --content-disposition https://github.com/python-pillow/Sane/tarball/$commit
Source0:        https://github.com/python-pillow/Sane/tarball/%{commit}/python-pillow-Sane-v%{version}-%{ahead}-g%{shortcommit}.tar.gz

BuildRequires:  pkgconfig(sane-backends)

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

Obsoletes:      python3-pillow-sane < 2.8.2-1
Provides:       python3-pillow-sane = %{EVRD}

Requires:       python3-pillow


%description
This package contains the sane module for Python2 which provides access to
various raster scanning devices such as flatbed scanners and digital cameras.

%prep
%setup -q -n python-pillow-Sane-%{shortcommit}

%build
find -name '*.py' | xargs sed -i '1s|^#!.*python|#!%{__python3}|'
CFLAGS="%{optflags}" python3 setup.py build

pushd doc
make html
rm -f _build/html/.buildinfo
popd

%install
python3 setup.py install --skip-build --root %{buildroot}

# Fix non-standard-executable-perm
chmod 0755 %{buildroot}%{py3_platsitedir}/*.so

%files
%doc CHANGES.rst sanedoc.txt example.py doc/_build/html
%{py3_platsitedir}/*

%changelog

* Sun Apr 24 2016 Denis Silakov <dsilakov@gmail.com> 2.8.2-1
- (2a7ace2) Fix build


